Package opennlp.tools.ml

## Class AbstractEventModelSequenceTrainer

- java.lang.Object
- - opennlp.tools.ml.AbstractTrainer
  - - opennlp.tools.ml.AbstractEventModelSequenceTrainer

- All Implemented Interfaces:
    `Trainer`, `EventModelSequenceTrainer<Event>`
  Direct Known Subclasses:
    `SimplePerceptronSequenceTrainer`

      public abstract class AbstractEventModelSequenceTrainer
      extends AbstractTrainer
      implements EventModelSequenceTrainer<Event>

  A basic `EventModelSequenceTrainer` implementation that processes `events`.

- - ### Field Summary

    - ### Fields inherited from class opennlp.tools.ml.AbstractTrainer

      `ALGORITHM_PARAM, CUTOFF_DEFAULT, CUTOFF_PARAM, ITERATIONS_DEFAULT, ITERATIONS_PARAM, TRAINER_TYPE_PARAM`

    - ### Fields inherited from interface opennlp.tools.ml.EventModelSequenceTrainer

      `SEQUENCE_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractEventModelSequenceTrainer()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract MaxentModel` | `doTrain​(SequenceStream<Event> events)` |
    `MaxentModel` | `train​(SequenceStream<Event> events)` | Trains a `MaxentModel` for given `events`.

    - ### Methods inherited from class opennlp.tools.ml.AbstractTrainer

      `getAlgorithm, getCutoff, getIterations, init, init, isValid, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.commons.Trainer

      `init`

- - ### Constructor Detail

    - #### AbstractEventModelSequenceTrainer

          public AbstractEventModelSequenceTrainer()

  - ### Method Detail

    - #### doTrain

          public abstract MaxentModel doTrain​(SequenceStream<Event> events)
                                       throws IOException

      Throws:
        `IOException`

    - #### train

          public final MaxentModel train​(SequenceStream<Event> events)
                                  throws IOException

      Description copied from interface: `EventModelSequenceTrainer`
      Trains a `MaxentModel` for given `events`.
      Specified by:
        `train` in interface `EventModelSequenceTrainer<Event>`
      Parameters:
        `events` - The input `events`.
      Returns:
        The trained `MaxentModel`.
      Throws:
        `IOException` - Thrown if IO errors occurred.